---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab duo claude`

Launch Claude Code with GitLab Duo integration. (EXPERIMENTAL)

## Synopsis

Launch Claude Code with automatic GitLab authentication, proxy configuration,
and GitLab MCP tools integration. All flags and arguments are passed through
to the Claude executable.

This command automatically configures Claude Code to work with GitLab AI services,
handling authentication tokens and API endpoints based on your current repository.
It also provides access to all GitLab features through MCP tools, enabling
you to interact with issues, merge requests, CI/CD pipelines, and more directly
from within Claude Code.

Warning: Automatic token retrieval is currently behind the `agent_platform_claude_code` 
feature flag. A "403 Forbidden" error usually means the feature
flag is not enabled for you. The flag requires a GitLab administrator
to enable it.

This feature is experimental. It might be broken or removed without any prior notice.
Read more about what experimental features mean at
<https://docs.gitlab.com/policy/development_stages_support/>

Use experimental features at your own risk.

```plaintext
glab duo claude [flags] [args]
```

## Examples

```console
$ glab duo claude
$ glab duo claude -p "List all open issues in this project"
$ glab duo claude -p "Write a function to calculate Fibonacci numbers"

```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```

## Subcommands

- [`token`](token.md)
